#include<bits/stdc++.h>
using namespace std;
int main(){
    int n;
    cin>>n;
    int a[n];
    int trmin = 1000000001;
    int ind;
    for(int i=0;i<n;i++){
        cin>>a[i];
        trmin = min(trmin, a[i]);
        if(trmin == a[i]) ind  = i;
    }
    cout<<trmin;
    cout<<1<<endl;
    cout<<ind+1<<endl;
    cout<<0<<endl;
}